#include <iostream>

using namespace std;

int main()
{
    int b=0,j;
    int n;cin>>n;
    int a[n];
    for(int i=1;i<=n;i++)
       cin>>a[i];
    int q;cin>>q;
    int p,k,t[q];
    for(int i=0;i<q;i++){
        cin>>p>>k;
        for(j=p;j<k;j++){
           if(a[j+1]<a[j])
              b++;
           if(b==2){
              t[i]=0;
              break;}}
        if(b<2)
           t[i]=1;
        b=0;
        
    }
    for(int i=0;i<q;i++){
      if(t[i]==1)
        cout<<"DA"<<endl;
      else
         cout<<"NE"<<endl;}

    return 0;
}